<template>
    <fieldset>
        <h3>{{ t("tutorial_heading") }}</h3>
        <p>{{ t("tutorial_text") }}: <a
                href="https://glancr.de/mirr-os/fruehere-versionen/das-netatmo-modul-konfigurieren/">Netatmo Setup</a>
        </p>
        <TextInputFloatingLabel for="email" :text="t('email_label')">
            <input name="email" id="email" type="text" :value="currentSettings.email" placeholder="email@example.com">
        </TextInputFloatingLabel>

        <TextInputFloatingLabel for="password" :text="t('password_label')">
            <input name="password" id="password" type="password" :value="currentSettings.password"
                   placeholder="••••••••">
        </TextInputFloatingLabel>

        <TextInputFloatingLabel for="client_id" :text="t('client_id_label')">
            <input name="client_id" type="text" :value="currentSettings.clientId" placeholder="Client ID">
        </TextInputFloatingLabel>


        <TextInputFloatingLabel for="client_secret" :text="t('client_secret_label')">
            <input name="client_secret"
                   id="client_secret" type="text"
                   :value="currentSettings.clientSecret"
                   placeholder="Client Secret">
        </TextInputFloatingLabel>
    </fieldset>
</template>

<script>
    module.exports = {
        name: "Netatmo",
        props: {
            currentSettings: {
                type: Object,
                required: false,
                default: function () {
                    return {
                        email: ""
                    }
                }
            },
            locale: {
                type: String,
                required: true
            }
        },
        locales: {
            enGb: {
                tutorial_heading: "Tutorial",
                tutorial_text: "To use the Netatmo module, you need an app in your Netatmo account. See our tutorial (German only at the moment)",
                email_label: "Email for your Netatmo login",
                password_label: "Password for Netatmo login",
                client_id_label: "Client ID",
                client_secret_label: "Client Secret"
            },
            deDe: {
                tutorial_heading: "Anleitung",
                tutorial_text: "Um das Netatmo-Modul zu verwenden, benötigen Sie eine Anwendung in Ihrem Netatmo-Konto. Siehe unser Tutorial",
                email_label: "E-Mail für Ihre Netatmo-Anmeldung",
                password_label: "Passwort für Netatmo-Anmeldung",
                client_id_label: "Client ID",
                client_secret_label: "Client Secret"
            },
            frFr: {
                tutorial_heading: "Tutoriel",
                tutorial_text: "Pour utiliser le module Netatmo, vous devez disposer d'une application dans votre compte Netatmo. Voir notre tutoriel (en allemand seulement pour le moment)",
                email_label: "Email pour votre login Netatmo",
                password_label: "Mot de passe pour la connexion à Netatmo",
                client_id_label: "Client ID",
                client_secret_label: "Client Secret"
            },
            esEs: {
                tutorial_heading: "Tutorial",
                tutorial_text: "Para usar el módulo de Netatmo, necesitas una aplicación en tu cuenta de Netatmo. Vea nuestro tutorial (sólo en alemán por el momento)",
                email_label: "Correo electrónico para su acceso a Netatmo",
                password_label: "Contraseña para el acceso a Netatmo",
                client_id_label: "Client ID",
                client_secret_label: "Client Secret"
            },
            plPl: {
                tutorial_heading: "Tutorial",
                tutorial_text: "Aby korzystać z modułu Netatmo, potrzebujesz aplikacji na swoim koncie Netatmo. Zobacz nasz tutorial (w tej chwili tylko po niemiecku)",
                email_label: "Email dla Twojego loginu Netatmo",
                password_label: "Hasło do logowania do Netatmo",
                client_id_label: "Client ID",
                client_secret_label: "Client Secret"
            },
            koKr: {
                tutorial_heading: "지도 시간",
                tutorial_text: "Netatmo 모듈을 사용하려면 Netatmo 계정에 앱이 필요합니다. 우리의 튜토리얼을 참조하십시오 (독일 만)",
                email_label: "Netatmo 로그인을위한 이메일",
                password_label: "Netatmo 로그인 비밀번호",
                client_id_label: "Client ID",
                client_secret_label: "Client Secret"
            }
        }
    };
</script>

